import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'enum.dart';

class BlockBuildPageRoute extends PageRouteBuilder {
  final Widget widget;
  final PageTransition transition;
  BlockBuildPageRoute({this.widget,this.transition})
      : super(
      transitionDuration: const Duration(milliseconds: 300),
      opaque:false,
      pageBuilder: (BuildContext context, Animation<double> animation, Animation<double> secondaryAnimation) {
        return widget;
      },

      transitionsBuilder: (BuildContext context, Animation<double> animation, Animation<double> secondaryAnimation, Widget child) {
         switch(transition){
          case PageTransition.SlideRightTrans :
            return SlideTransition(
              position: Tween<Offset>(
                begin: const Offset(-1, 0),
                end: Offset.zero,
              ).animate(animation),
              child: child,
            );
            break;

           case PageTransition.ScaleTrans:
             return ScaleTransition(
               scale: Tween<double>(
                 begin: 0.0,
                 end: 1.0,
               ).animate(
                 CurvedAnimation(
                   parent: animation,
                   curve: Curves.fastOutSlowIn,
                 ),
               ),
               child: child,
             );
             break;

           case PageTransition.RotationTrans:
             return RotationTransition(
               turns: Tween<double>(
                 begin: 0.0,
                 end: 1.0,
               ).animate(
                 CurvedAnimation(
                   parent: animation,
                   curve: Curves.linear,
                 ),
               ),
               child: child,
             );
             break;
           case PageTransition.FadeTrans:
             return FadeTransition(
               opacity: animation,
               child: child,
             );
             break;
           default:
             return

               CupertinoPageTransition(
                 linearTransition: false,
                 primaryRouteAnimation: animation,
                 secondaryRouteAnimation: secondaryAnimation,
                 child: child,
               );

        }


      }
  );
}

/*class TransitionCollections extends StatelessWidget {
  final Widget transition;
  final Widget child;

  TransitionCollections(this.transition,this.child);
  @override
  Widget build(BuildContext context) {
    return witch(transition){
      case "RightSlideTransitino" :
        return SlideTransition(
          position: Tween<Offset>(
            begin: const Offset(-1, 0),
            end: Offset.zero,
          ).animate(animation),
          child: child,
        )
    break;


    }
  }
}*/

